import { Component } from 'inferno'
import './NewTab.css'

interface State {
  time: String
}

export class NewTab extends Component<unknown, State> {
  link = 'https://github.com/guocaoyi/create-chrome-ext'
  state: State
  intervalId: any = null

  constructor(props: unknown) {
    super(props)
    this.state = { time: this.getTime() }
  }

  getTime = () => {
    const date = new Date()
    const hour = String(date.getHours()).padStart(2, '0')
    const minute = String(date.getMinutes()).padStart(2, '0')
    return `${hour}:${minute}`
  }

  componentDidMount() {
    this.intervalId = setInterval(() => {
      this.setState({ time: this.getTime() })
    }, 1000)
  }

  componentWillUnmount() {
    clearInterval(this.intervalId)
  }

  render() {
    return (
      <section>
        <span></span>
        <h1>{this.state.time}</h1>
        <a href={this.link} target="_blank">
          generated by create-chrome-ext
        </a>
      </section>
    )
  }
}

export default NewTab
